Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 263017 - media-sound/hydrogen: installation fails when missing libraries when uses not set (broken uses)
Summary: media-sound/hydrogen: installation fails when missing libraries when uses not...
Status: RESOLVED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Professional Audio Applications Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-19 11:40 UTC by Rafal Lalik
Modified: 2009-04-15 05:28 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to fix ebuild (hydrogen-0.9.4_beta-fix_broken_uses.patch,694 bytes, patch)
2009-03-19 11:41 UTC, Rafal Lalik
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rafal Lalik 2009-03-19 11:40:19 UTC
When installing hydrogen scons also checks for libraries. Follow this $myconf variable is also necessary in src_install()

See patch below to fix ebuild:

--- hydrogen-0.9.4_beta.ebuild  2009-03-19 12:32:41.000000000 +0100
+++ hydrogen-0.9.4_beta.ebuild  2009-03-19 12:27:00.000000000 +0100
@@ -49,7 +49,7 @@
        export QMAKE_LFLAGS_RELEASE="${LDFLAGS}"
        export QMAKE_LFLAGS_DEBUG="${LDFLAGS}"

-       local myconf="prefix=${ROOT}usr destdir=${D}"
+       myconf="prefix=${ROOT}usr destdir=${D}"
        ! use alsa; myconf="${myconf} alsa=$?"
        ! use debug; myconf="${myconf} debug=$?"
        ! use jack; myconf="${myconf} jack=$?"
@@ -68,7 +68,7 @@
 }

 src_install() {
-       scons install prefix="${ROOT}usr" destdir="${D}" || die "scons install failed"
+       scons install ${myconf} || die "scons install failed"

        # install tools
        for i in hydrogenSynth hydrogenPlayer; do
Comment 1 Rafal Lalik 2009-03-19 11:41:24 UTC
Created attachment 185503 [details, diff]
Patch to fix ebuild
Comment 2 Alexis Ballier gentoo-dev 2009-04-15 05:11:54 UTC
i dont see any hydrogen 0.9.4 ebuild in the tree using scons; maybe you reported this to the wrong place?
Comment 3 Rafal Lalik 2009-04-15 05:28:35 UTC
Ebuild comes from pro-audio overlay:

$ cat /usr/local/portage/layman/pro-audio/media-sound/hydrogen/hydrogen-0.9.4_beta.ebuild 
# Copyright 1999-2008 Gentoo Foundation                                                                     
# Distributed under the terms of the GNU General Public License v2                                          
# $Header: $                                                                                                

EAPI=1

inherit eutils qt4 

DESCRIPTION="Linux Drum Machine"
HOMEPAGE="http://hydrogen.sourceforge.net/"
MY_PV="${PV/_/-}"                          
SRC_URI="mirror://sourceforge/hydrogen/${PN}-${MY_PV}.tar.gz"

LICENSE="GPL-2"
SLOT="0"       
KEYWORDS="~amd64 ~x86"
IUSE="alsa debug flac jack ladspa lash portaudio"

RDEPEND="
        || ( (
                x11-libs/qt-core:4
                        x11-libs/qt-gui:4 )
                        >=x11-libs/qt-4.1:4     )
        dev-libs/libxml2                         
        media-libs/libsndfile                    
        media-libs/audiofile                     
        dev-libs/libtar                          
        portaudio? ( >=media-libs/portaudio-18.1 )
        alsa? ( media-libs/alsa-lib )             
        jack? ( media-sound/jack-audio-connection-kit )
        ladspa? ( media-libs/liblrdf )                 
        lash? ( media-sound/lash )                     
        flac? ( media-libs/flac )"                     

DEPEND="${RDEPEND}"

S="${WORKDIR}/${PN}-${MY_PV}"
src_compile() {              
        # export qt4 related environ (copy 'n paste fromt qt4.eclass)
        export QTDIR=/usr/$(get_libdir)                              
        export QMAKE=/usr/bin/qmake                                  
        export QMAKE_CC=$(tc-getCC)                                  
        export QMAKE_CXX=$(tc-getCXX)                                
        export QMAKE_LINK=$(tc-getCXX)                               
        export QMAKE_CFLAGS_RELEASE="${CFLAGS}"                      
        export QMAKE_CFLAGS_DEBUG="${CFLAGS}"                        
        export QMAKE_CXXFLAGS_RELEASE="${CXXFLAGS}"                  
        export QMAKE_CXXFLAGS_DEBUG="${CXXFLAGS}"                    
        export QMAKE_LFLAGS_RELEASE="${LDFLAGS}"
        export QMAKE_LFLAGS_DEBUG="${LDFLAGS}"

        myconf="prefix=${ROOT}usr destdir=${D}"
        ! use alsa; myconf="${myconf} alsa=$?"
        ! use debug; myconf="${myconf} debug=$?"
        ! use jack; myconf="${myconf} jack=$?"
        ! use ladspa; myconf="${myconf} lrdf=$?"
        ! use portaudio; myconf="${myconf} portaudio=$?"
        ! use lash; myconf="${myconf} lash=$?"
        ! use flac; myconf="${myconf} flac=$?"

        tc-export CC CXX
        myconf="${myconf} CC=${CC} CXX=${CXX}"
        mkdir -p ${D}
        einfo "${myconf}"
        scons CUSTOMCCFLAGS="${CFLAGS}" CUSTOMCXXFLAGS="${CXXFLAGS}" \
                MAKEOPTS="${MAKEOPTS}" \
                ${myconf} || die "scons failed"
}

src_install() {
        scons install ${myconf} || die "scons install failed"

        # install tools
        for i in hydrogenSynth hydrogenPlayer; do
                dobin extra/$i/$i
        done

        # desktop entry
        newicon "data/img/gray/icon32.png" "${PN}.png"
        make_desktop_entry "${PN}" "Hydrogen" "${PN}" "AudioVideo;Audio;sequencer"
}